Status: Closed
Priority: Normal
Assignee: Ewoud Kohl van Wijngaarden
Category: Foreman modules
Target version:
Difficulty: Fixed in Releases: 3.8.0
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/puppet-for
https://github.com/theforeman/foreman-d
Description

When the file logger is used the multiline_request_pattern layout should be used by default, but with journald the request ID is
already stored as structured data with the log, so the pattern layout is better. The installer should automatically pick the best layout

for the logging type.

Associated revisions

Revision a4157ab7 - 07/12/2023 11:46 PM - Ewoud Kohl van Wijngaarden

Fixes #36582 - Detect logging layout based on type

When the file logger is used the multiline_request_pattern layout should
be used by default, but with journald the request ID is already stored

as structured data with the log, so the pattern layout is better. The

the best layout for the logging type is now used if no layout is

specified.

History

#1 - 07/12/2023 09:30 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-foreman/pull/1124 added

#2 - 07/12/2023 11:46 PM - The Foreman Bot
- Fixed in Releases 3.8.0 added

#3 - 07/13/2023 12:00 AM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman|a4157ab77ed8589¢3d312¢13890a57b7b62d3599.

#4 - 09/11/2023 10:34 AM - Ewoud Kohl van Wijngaarden

- Triaged changed from No to Yes

#5 - 09/14/2023 11:16 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-documentation/pull/2433 added
